<?php

/**
 * @file
 * 
 * Contains the Views hook implementations
 */ 

/**
 * Implementation of hook_views_data().
 */
function vinfield_views_data() {
  $data = array();
  
  // Define the table setup for the vinfield cache table to cross-ref with field value via join
  $data[VF_LOOKUP_TABLE]['table']['group'] = t('VIN Field Cache');
  $data[VF_LOOKUP_TABLE]['table']['base'] = array(
    'field' => 'VF_LOOKUP_VIN',
    'title' => t('VIN Field Cache'),
    'help' => t('Decode data cache for VIN Field for CCK '),
  );
  // Add fields from vinfield cache table
  $data[VF_LOOKUP_TABLE][VF_LOOKUP_VIN] = array(
    'title' => t('VIN'),
    'title short' => t('VIN'),
    'help' => t('VIN value stored in cache'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'argument' => array('handler' => 'views_handler_argument_string'),
    'filter' => array('handler' => 'views_handler_filter_string'),
    'sort' => array('handler' => 'views_handler_sort'),
    'relationship' => array('handler' => 'views_handler_relationship'),
  );
  
  $data[VF_LOOKUP_TABLE][VF_LOOKUP_YEAR] = array(
    'title' => t('Model Year'),
    'title short' => t('Model Year'),
    'help' => $field_help,
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'argument' => array('handler' => 'views_handler_argument_string'),
    'filter' => array('handler' => 'views_handler_filter_string'),
    'sort' => array('handler' => 'views_handler_sort'),
    'relationship' => array('handler' => 'views_handler_relationship'),
  );
  
  $data[VF_LOOKUP_TABLE][VF_LOOKUP_MAKE] = array(
    'title' => t('Vehicle Make'),
    'title short' => t('Vehicle Make'),
    'help' => $field_help,
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'argument' => array('handler' => 'views_handler_argument_string'),
    'filter' => array('handler' => 'views_handler_filter_string'),
    'sort' => array('handler' => 'views_handler_sort'),
    'relationship' => array('handler' => 'views_handler_relationship'),
  );
  
  $data[VF_LOOKUP_TABLE][VF_LOOKUP_MODEL] = array(
    'title' => t('Vehicle Model'),
    'title short' => t('Vehicle Model'),
    'help' => $field_help,
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'argument' => array('handler' => 'views_handler_argument_string'),
    'filter' => array('handler' => 'views_handler_filter_string'),
    'sort' => array('handler' => 'views_handler_sort'),
    'relationship' => array('handler' => 'views_handler_relationship'),
  );
  
  $data[VF_LOOKUP_TABLE][VF_LOOKUP_TRIM] = array(
    'title' => t('Vehicle Trim Level'),
    'title short' => t('Vehicle Trim Level'),
    'help' => $field_help,
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'argument' => array('handler' => 'views_handler_argument_string'),
    'filter' => array('handler' => 'views_handler_filter_string'),
    'sort' => array('handler' => 'views_handler_sort'),
    'relationship' => array('handler' => 'views_handler_relationship'),
  );
  
  return $data;
}