<?php

/**
 * @file
 * 
 * Constants used by the VINField module and provider plugins
 */

// Access perms
define('VF_PERM_ADMINISTER', 'administer vinfield');

// VINField settings keys:
define('VF_CONFIG', 'vinfield_settings');
define('VF_CONFIG_BASIC_VALIDATION', 'vf_basic_validation');
define('VF_CONFIG_LOOKUP_VIN', 'vf_vin_lookup');
define('VF_CONFIG_MERGE_LOOKUPS', 'vf_merge_lookups');
define('VF_CONFIG_REQUIRE_LOOKUP', 'vf_require_lookup');
define('VF_CONFIG_PROMPT_USER', 'vf_prompt_user');
define('VF_CONFIG_NOTIFY_EMAILS', 'vf_notify_emails');
define('VF_CONFIG_PROVIDERS', 'vf_notify_providers');
define('VF_CONFIG_PROVIDER_ENABLED', 'vf_provider_enabled');
define('VF_CONFIG_PROVIDER_WEIGHT', 'vf_provider_weight');
define('VF_CONFIG_SAVE_EXTENDED', 'vf_save_extended');

// Module convenience constants:
define('VF_ADMIN_MENU_BASE', 'admin/settings/vinfield');
define('VF_PROVIDER_MENU_BASE', VF_ADMIN_MENU_BASE . '/providers');

// Provider info keys:
define('VF_PROVIDER_MODULE', 'module');
define('VF_PROVIDER_TITLE', 'title');
define('VF_PROVIDER_DESCRIPTION', 'description');

// Parameter keys of data passed to lookup query callback in provider modules:
define('VF_LOOKUP_VIN', 'vin');

// Provider return keys for lookups:
define('VF_LOOKUP_YEAR', 'year');
define('VF_LOOKUP_MAKE', 'make');
define('VF_LOOKUP_MODEL', 'model');
define('VF_LOOKUP_TRIM', 'trim_level');
define('VF_LOOKUP_EXTENDED', 'extended');

// Schema constants:
define('VF_LOOKUP_TABLE', 'vinfield');

// Hooks:
// Retrieves available lookup providers
define('VF_HOOK_PROVIDER_INFO', 'vinfield_provider_info');

// Retrieves admin settings info for a provider
define('VF_HOOK_PROVIDER_ADMIN', 'vinfield_provider_admin');

// Executes the lookup via a provider
define('VF_HOOK_PROVIDER_QUERY', 'vinfield_provider_query');

// Executes hook for modules interested in a completed lookup
define('VF_HOOK_POST_QUERY', 'vinfield_post_query'); 

 
